## libcap2 2.19

=== debian/control ===
Source: libcap2
Section: libs
Priority: optional
Maintainer: Torsten Werner <twerner@debian.org>
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
Homepage: http://sites.google.com/site/fullycapable/
Vcs-Svn: https://bollin.googlecode.com/svn/libcap2/
Vcs-Browser: http://bollin.googlecode.com/svn/libcap2/

Package: libcap2-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libcap-dev
Conflicts: libcap-bin
Description: basic utility programs for using capabilities
 This package contains the programs sucap, execap, getpcaps, setpcaps for
 manipulation of capabilities. The manpages of this package reference the
 manpage cap_from_text(3) from the libcap-dev package. Please install the
 libcap-dev package if you need its documentation.

Package: libcap2
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: support for getting/setting POSIX.1e capabilities
 This library implements the user-space interfaces to the POSIX
 1003.1e capabilities available in Linux kernels. These capabilities are 
 a partitioning of the all powerful root privilege into a set of distinct 
 privileges.

Package: libcap-dev
Section: libdevel
Architecture: any
Depends: libcap2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libcap2-dev
Conflicts: libcap2-dev
Replaces: libcap2-dev
Suggests: manpages-dev
Description: development libraries and header files for libcap2
 Contains the necessary support for building applications that use
 capabilities.
