## libcap2 2.20

=== debian/changelog ===
libcap2 (1:2.20-1ubuntu1) natty-proposed; urgency=low

  * debian/patches/0001-fix-Makefiles.patch: re-add dropped patch to link
    pam into pam_cap.  (LP: #582769)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 08 Nov 2011 13:22:01 -0600

libcap2 (1:2.20-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches because they have been included upstream.

 -- Torsten Werner <twerner@debian.org>  Fri, 11 Feb 2011 20:31:45 +0100

libcap2 (1:2.19-3) unstable; urgency=high

  * Add a versioned dependency on libpam-runtime to libcap2-bin because
    pam-auth-update is needed in postinst. (Closes: #593250)
  * Set urgency to high because we are fixing a RC bug.

 -- Torsten Werner <twerner@debian.org>  Mon, 16 Aug 2010 23:13:50 +0200

libcap2 (1:2.19-2) unstable; urgency=medium

  * Add -lpam to LDLIBS. Thanks to Sebastian Ramacher for suggesting the patch!
    (Closes: 591410)
  * Set urgency to medium.
  * Improve patch description.

 -- Torsten Werner <twerner@debian.org>  Wed, 04 Aug 2010 05:22:23 +0200

libcap2 (1:2.19-1) unstable; urgency=low

  [ Kees Cook ]
  * Add pam_cap.so to the default PAM auth stack. (Closes: #573089)

  [ Torsten Werner ]
  * New upstream release.
  * Convert package to source format 3.0.
  * Remove quilt from Build-Depends.
  * Add static library to -dev package. Thanks to Stephan Sürken. (Closes:
    #589840)
  * Fix typo in Description. Thanks to Pascal De Vuyst. (Closes: #557496)
  * Add a patch to fix the man page cap_from_text(3). Thanks to Roland
    Koebler. (Closes: #567350)
  * Update Standards-Version: 3.9.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Thu, 22 Jul 2010 23:50:25 +0200

libcap2 (1:2.17-2) unstable; urgency=low

  * Explain in the long description of the -bin package that the manpage
    cap_from_text(3) is part of -dev package. (Closes: #548080)

 -- Torsten Werner <twerner@debian.org>  Sun, 18 Oct 2009 19:55:39 +0200

libcap2 (1:2.17-1) unstable; urgency=low

  * new upstream release
  * Switch from cdbs to dh.
  * Update Standards-Version: 3.8.3 (no changes).
  * Use gbp-pq to edit quilt patch.
  * Change Build-Depends: debhelper (>= 7.0.50~).
  * Add README.source.
  * Add man page capsh.8.

 -- Torsten Werner <twerner@debian.org>  Wed, 30 Sep 2009 22:26:51 +0200

libcap2 (1:2.16-5) unstable; urgency=low

  * Remove reference to kernel version 2.2 in debian/control. (Closes:
    #260005)
  * Add Suggests: libcap-dev to binary package libcap2-bin. (Closes: #433782)

 -- Torsten Werner <twerner@debian.org>  Wed, 01 Apr 2009 23:32:37 +0200

libcap2 (1:2.16-4) unstable; urgency=low

  * Add Conflicts: and Replaces: libcap2-dev to binary package libcap-dev.
  * Add epoch to version number because the old package had an epoch.
  * Add missing files to package libcap-dev which got lost in the previous
    version.

 -- Torsten Werner <twerner@debian.org>  Sun, 22 Mar 2009 21:23:50 +0100

libcap2 (2.16-3) unstable; urgency=low

  * Rename binary package libcap2-dev to libcap-dev as requested by the
    release team to continue the transition from libcap1. (Closes: #520553)
  * Add Provides: libcap2-dev to binary package libcap-dev to ease transition
    from older versions of libcap2.
  * Remove Conflicts: libcap-dev.

 -- Torsten Werner <twerner@debian.org>  Sat, 21 Mar 2009 21:22:24 +0100

libcap2 (2.16-2) unstable; urgency=low

  * upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 22:09:04 +0100

libcap2 (2.16-1) experimental; urgency=low

  * new upstream release
  * Always install libraries into /lib (never /lib64).
    (Closes: #508315)

 -- Torsten Werner <twerner@debian.org>  Sun, 14 Dec 2008 12:24:50 +0100

libcap2 (2.15-3) experimental; urgency=low

  * Set Priority: standard for binary package libcap2. (Closes: #507781)

 -- Torsten Werner <twerner@debian.org>  Thu, 04 Dec 2008 14:15:48 +0100

libcap2 (2.15-2) experimental; urgency=low

  * Update shlibs file libcap2 (>= 2.10). (Closes: #464712)

 -- Torsten Werner <twerner@debian.org>  Wed, 03 Dec 2008 23:42:19 +0100

libcap2 (2.15-1) experimental; urgency=low

  * new upstream release
  * Add Homepage header.
  * Bump Up Standards-Version: 3.8.0.
  * Update patch build.diff.

 -- Torsten Werner <twerner@debian.org>  Mon, 01 Dec 2008 00:26:09 +0100

libcap2 (2.11-2) unstable; urgency=low

  * Call dh_makeshlibs with -V. (Closes: #492467)
  * Reformat debian/copyright.
  * Add Build-Depends: libpam0g-dev to build the pam module.
  * Ship the pam module in the package libcap2-bin.

 -- Torsten Werner <twerner@debian.org>  Sat, 26 Jul 2008 15:40:42 +0200

libcap2 (2.11-1) unstable; urgency=low

  * new upstream release
  * Remove patch bug487223.diff because it is not needed anymore.
  * Refresh patch build.diff.

 -- Torsten Werner <twerner@debian.org>  Thu, 24 Jul 2008 20:42:41 +0200

libcap2 (2.10-3) unstable; urgency=low

  * Add patch from upstream author to fix 'cap_copy_int() always returns NULL
    (EINVAL)'. (Closes: #487223)

 -- Torsten Werner <twerner@debian.org>  Mon, 07 Jul 2008 23:03:52 +0200

libcap2 (2.10-2) unstable; urgency=medium

  * Add Build-Depends: indent because it is needed on alpha. (Closes: #489477)
  * Set urgency to medium because we are fixing a FTBFS bug.

 -- Torsten Werner <twerner@debian.org>  Sun, 06 Jul 2008 11:34:15 +0200

libcap2 (2.10-1) unstable; urgency=low

  * new upstream release

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Jun 2008 23:37:06 +0200

libcap2 (2.09-1) unstable; urgency=low

  * new upstream release
  * Change Priority: optional of package libcap2.

 -- Torsten Werner <twerner@debian.org>  Sat, 10 May 2008 11:48:53 +0200

libcap2 (2.08-2) unstable; urgency=low

  * Do not install the old manpages capget(2) and capset(2) because the
    package manpages-dev ships more recent ones.
  * Replace Conflicts: manpages-dev by Suggests: manpages-dev.
    (Closes: #473072)

 -- Torsten Werner <twerner@debian.org>  Sat, 29 Mar 2008 10:19:58 +0100


