=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libcap2
 Section: libs
 Priority: optional
-Maintainer: Torsten Werner <twerner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Torsten Werner <twerner@debian.org>
 Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
 Homepage: http://sites.google.com/site/fullycapable/
@@ -11,7 +12,7 @@
 Package: libcap2-bin
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.1.1-3~)
 Suggests: libcap-dev
 Conflicts: libcap-bin
 Description: basic utility programs for using capabilities
