=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- lib=lib RAISE_SETFCAP=no

override_dh_makeshlibs:
	dh_makeshlibs -V 'libcap2 (>= 2.10)'

get-orig-source:
	-uscan --upstream-version 0
