## libcap2 2.21

=== debian/changelog ===
libcap2 (1:2.21-2) unstable; urgency=low

  [ Serge Hallyn ]
  * Non-maintainer upload.
  * 0002-support-getting-setting-capabilities-on-large-files.patch: patch from
    upstream to enable setting capabilities on large files.
    (Closes: #631134)

  [ Torsten Werner ]
  * Move package to alioth's collab-maint project.
    * Use git instead of svn.
    * Update Vcs-* headers in debian/control.

  [ Zhi Li ]
  * Modify long description in libcap2-bin/debian/control, remove those files that were not generated.
    (Closes: #620345)

 -- Torsten Werner <twerner@debian.org>  Mon, 11 Jul 2011 22:11:41 +0200

libcap2 (1:2.21-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/0001-fix-Makefiles.patch: link pam_cap against -lpam.
    (Closes: #591410) (LP: #582769)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Fri, 20 May 2011 08:28:55 -0500
