=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: libcap2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Torsten Werner <twerner@debian.org>
+Maintainer: Torsten Werner <twerner@debian.org>
 Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
 Homepage: http://sites.google.com/site/fullycapable/
-Vcs-Svn: https://bollin.googlecode.com/svn/libcap2/
-Vcs-Browser: http://bollin.googlecode.com/svn/libcap2/
+Vcs-Git: git://git.debian.org/collab-maint/libcap2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcap2.git
 
 Package: libcap2-bin
 Section: utils
@@ -16,7 +15,7 @@
 Suggests: libcap-dev
 Conflicts: libcap-bin
 Description: basic utility programs for using capabilities
- This package contains the programs sucap, execap, getpcaps, setpcaps for
+ This package contains the programs getpcaps, capsh, getcap, and setcap for
  manipulation of capabilities. The manpages of this package reference the
  manpage cap_from_text(3) from the libcap-dev package. Please install the
  libcap-dev package if you need its documentation.
