## libcap2 2.22

=== debian/changelog ===
libcap2 (1:2.22-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add preinst script for libcap2-bin to properly remove PAM module
    on upgrade from libcap2-bin <= 1:2.22-1. (Closes: #673770)

 -- Tobias Hansen <tobias.han@gmx.de>  Fri, 06 Jul 2012 20:02:14 +0200

libcap2 (1:2.22-1.1) unstable; urgency=low

  * Non-maintainer upload with permission from Torsten Werner.
  * Apply Multiarch patch from Kees Cook.  Closes: #653186.
  * debian/{control,rules,compat}: Build for Multi-arch.
  * debian/{control,libpam-cap.*}: Split PAM module into separate binary
    package so it can be built for Multi-arch separate from the -bins pkg.

 -- Mark Hymers <mhy@debian.org>  Sun, 13 May 2012 10:28:44 +0100

libcap2 (1:2.22-1) unstable; urgency=low

  * New upstream released

 -- Zhi Li <lizhi1215@gmail.com>  Thu, 28 Jul 2011 12:50:30 +0800

libcap2 (1:2.21-3) unstable; urgency=low

  * Non-maintainer upload.
  * 0003-refine-setcap-error-message.patch:refine setcap output on errors
    (Closes: #633075)

 -- Zhi Li <lizhi1215@gmail.com>  Wed, 20 Jul 2011 09:35:48 +0800
