=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Torsten Werner <twerner@debian.org>
 Standards-Version: 3.9.0
-Build-Depends: debhelper (>= 7.0.50~), indent, libattr1-dev, libpam0g-dev
+Build-Depends: debhelper (>= 8.1.3~), indent, libattr1-dev, libpam0g-dev
 Homepage: http://sites.google.com/site/fullycapable/
 Vcs-Git: git://git.debian.org/collab-maint/libcap2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libcap2.git
@@ -11,7 +11,8 @@
 Package: libcap2-bin
 Section: utils
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.1.1-3~)
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libpam-cap
 Suggests: libcap-dev
 Conflicts: libcap-bin
 Description: basic utility programs for using capabilities
@@ -23,6 +24,8 @@
 Package: libcap2
 Priority: standard
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: support for getting/setting POSIX.1e capabilities
  This library implements the user-space interfaces to the POSIX
@@ -33,6 +36,7 @@
 Package: libcap-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libcap2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Provides: libcap2-dev
 Conflicts: libcap2-dev
@@ -41,3 +45,13 @@
 Description: development libraries and header files for libcap2
  Contains the necessary support for building applications that use
  capabilities.
+
+Package: libpam-cap
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 1.1.3-2~)
+Breaks: libcap2-bin (<< 1:2.22-1.1)
+Replaces: libcap2-bin (<< 1:2.22-1.1)
+Description: PAM module for implementing capabilities
+ This package contains the PAM module for enforcing capabilities on users
+ and groups at PAM session start time.
