=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- lib=lib/$(DEB_HOST_MULTIARCH) RAISE_SETFCAP=no

override_dh_makeshlibs:
	dh_makeshlibs -V 'libcap2 (>= 2.10)'

get-orig-source:
	-uscan --upstream-version 0
