=== debian/changelog ===
libcap2 (1:2.24-12) unstable; urgency=medium

  * d/tests:
    - Amend stderr redirection to fix autopkgtest failures

 -- Christian Kastner <ckk@debian.org>  Fri, 02 Oct 2015 15:30:03 +0200

libcap2 (1:2.24-11) unstable; urgency=medium

  * d/rules:
    - Provide BUILD_LDFLAGS and BUILD_CPPFLAGS. Thanks, Helmut Grohne!
  * d/patches:
    - Drop patch numbers from .patch filenames
  * d/patches (updated):
    - Don-t-hardcode-build-flags.patch
      When using BUILD_CC, use BUILD_LDFLAGS and BUILD_CPPFLAGS instead of the
      host ones. Thanks, Helmut Grohne! Closes: #796886
  * Add package-specific d/gbp.conf

 -- Christian Kastner <ckk@kvr.at>  Tue, 25 Aug 2015 20:40:33 +0200

libcap2 (1:2.24-10) unstable; urgency=medium

  * d/control:
    - Drop XS-Testsuite. dpkg now recognizes the Testsuite header, and
      dpkg-source automatically adds one when an autopkgtest suite is found
    - Add gperf to Build-Depends. The build proceeds slightly differently when
      gperf is present in the build environment, so make sure it is present in
      all build environments
    - Switch Maintainer email to my @debian.org address
  * d/rules:
    - Pass --version-info to dh_makeshlibs to match .symbols. Thanks, KiBi!
  * d/copyright:
    - Bump copyright years
  * d/tests:
    - Add missing dependencies for gcc and libc-dev
    - Test "executables": Redirect stderr to stdout on test with expected
      failure
  * d/patches (updated):
    - 0004-Don-t-hardcode-build-flags
      Add LDFLAGS to a target to silence a hardening flags warning, even though
      the target is not shipped, but only used at build-time.
  * d/patches (added):
    - 0006-Hide-private-symbols.patch

 -- Christian Kastner <ckk@debian.org>  Sun, 23 Aug 2015 23:16:07 +0200

libcap2 (1:2.24-9) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Add udeb package for libcap2 to be used in d-i, since
    the libudev1-udeb package depends on libcap2 now.

 -- Christian Kastner <debian@kvr.at>  Sun, 07 Jun 2015 18:38:54 +0200

libcap2 (1:2.24-8) unstable; urgency=medium

  * debian/libcap2-bin.maintscript:
    - Drop, because using rm_conffile to clean up an obsolete conffile that
      was moved to another package can lead to breakage, see:  Closes: #781050
  * debian/watch:
    - Drop stray empty opts= (invalid syntax breaks uscan checks)

 -- Christian Kastner <debian@kvr.at>  Sun, 29 Mar 2015 15:00:39 +0200

libcap2 (1:2.24-7) unstable; urgency=medium

  * debian/libcap2-bin.maintscript:
    - Remove obsolete conffile capability.conf. Closes: #768229
  * debian/control:
    - Add Breaks+Replaces for libcap-bin. libcap-bin was removed after lenny,
      but the transition to libcap2-bin was not fully handled. Closes: #780411

 -- Christian Kastner <debian@kvr.at>  Fri, 13 Mar 2015 21:28:23 +0100

libcap2 (1:2.24-6) unstable; urgency=medium

  * debian/rules:
    - Use proper assignment for CC. It has a default value, so ?= assignment
      does not make sense. Using := fixes a FTCBFS. Thanks, Helmut Grohne.
      Closes: #762575
  * debian/control:
    - Add XS-Testsuite for autopkgtest
  * debian/tests/executables:
    - Add an autopkgtest for getcap(8) and setcap(8) functionality

 -- Christian Kastner <debian@kvr.at>  Thu, 25 Sep 2014 01:41:47 +0200

libcap2 (1:2.24-5) unstable; urgency=medium

  * debian/libcap2-bin.lintian-overrides:
    - Drop this file; it only contained an unused lintian override for
      statically-linked-binary
  * debian/control:
    - Bump Standards-Version to 3.9.6 (no changes needed)
    - Add binary package libcap2-dbg for debugging symbols
  * debian/rules:
    - Use dpkg/architecture.mk instead of manual assignment
    - Rework the cross-compiling support. Less code, and less assumptions about
      the environment
    - Create dirs in override_dh_installdirs
    - Simplify installation stage
    - Add override_dh_strip to place symbols in libcap2-dbg
  * Package libcap-dev:
    - Move the static library from /lib/ to /usr/lib/, where development files
      belong according to the FHS. /lib/ is only for essential shared
      libraries.
  * debian/TODO:
    - Drop file (all items were either dropped or completed)

 -- Christian Kastner <debian@kvr.at>  Fri, 19 Sep 2014 13:52:51 +0200

libcap2 (1:2.24-4) unstable; urgency=low

  * debian/control:
    - Set myself to maintainer. Closes: #756091
    - Drop redundant Section
    - Drop redundant Priority fields
    - Add Multi-Arch field for libcap2-bin
    - Point Vcs-* URLs to collab-maint
  * debian/rules:
    - Drop dh_builddeb override, xz is now default
    - Drop override_dh_makeshlibs; a symbols file is provided now
  * debian/copyright:
    - Add myself
    - Add missing copyright for manpages
    - Add missing copyright for contrib/*
  * debian/symbols:
    - Create symbols file
  * debian/watch:
    - Create watch file
  * debian/manpages:
    - Fix typo in manpage name (getcaps -> getpcaps)
    - Drop capsh.8, upstream ships capsh.1 now
  * debian/source/options:
    - Remove, as xz is now the default compression algo
  * debian/patches (refreshed):
    - Update headers to play more nicely with gbp-pq
  * debian/patches (added):
    - 0004-Don-t-hardcode-build-flags
      Needed so that hardening flags get honored
    - 0005-Syntax-fixes-for-man-pages

 -- Christian Kastner <debian@kvr.at>  Sat, 26 Jul 2014 20:06:24 +0200

libcap2 (1:2.24-3) unstable; urgency=medium

  * I don't care anymore, not worth it.. orphaning.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Fri, 25 Jul 2014 20:51:41 +0200

libcap2 (1:2.24-2) unstable; urgency=low

  * Adding provides for libcap2-dev that got lost during rebase (Closes:
    #755559).

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 22 Jul 2014 10:55:23 +0200

libcap2 (1:2.24-1) unstable; urgency=low

  * Merging upstream version 2.24 (Closes: #734633): - in sync with
    current kernels (Closes: #689035)
  * Dropping unused orig-tar.sh.
  * Marking package as linux-any only (Closes: #745186).

