=== debian/watch ===
version=3

# We don't verify the GPG signature because the signature is made for the
# uncompressed tarball, and uscan currently does not have a mechanism to
# implement this

https://www.kernel.org/pub/linux/libs/security/linux-privs/libcap2/libcap-(.+).tar.xz
