=== debian/changelog ===
libcap2 (1:2.25-2) unstable; urgency=medium

  * Acknowledge NMUs.
    Thanks, Matthias Klose and Helmut Grohne!

  * d/upstream/signing-key.asc:
    - Add Andrew G. Morgan's public OpenPGP key
  * d/watch:
    - Update to format version 4
    - Check vor a valid signature
  * d/control:
    - Bump Standards-Version to 4.3.0
    - Drop Priority of libcap2
      Priority for this library should be "optional", which is already the
      Priority of the source package
    - Switch Build-Depends from debhelper to debhelper-compat
    - Bump Build-Depends for debhelper to 12
    - Update Vcs-* URLs to point to Salsa
    - Switch Homepage to https
  * d/compat:
    - Drop, as made obsolete by debhelper-compat
  * d/rules:
    - Switch from dh_install to dh_missing
    - Drop override_dh_strip
      It was only needed for the dbgsym migration
  * d/tests/executables:
    - Rename ADTTMP to AUTOPKGTEST_TMP
      ADT* variables were renamed in autopkgtest (4.0)
  * d/manpages/getpcaps.1:
    - Reproduce section "TEXTUAL REPRESENTATION" from cap_from_text(3)
      Closes: #826733
    - Fix program name get_pcaps -> getpcaps
  * d/copyright:
    - Add patches/*, and bump copyrights
    - Switch MRCF Policy URI to https

 -- Christian Kastner <ckk@debian.org>  Wed, 06 Feb 2019 21:12:36 +0100

libcap2 (1:2.25-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Fix for FTCBFS, libcap.pc has bad libdir (Closes: #871714)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 17 Nov 2017 00:35:52 +0100

libcap2 (1:2.25-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gperf 3.1 (Helmut Grohne). Closes: #869588.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Oct 2017 10:26:50 +0200

libcap2 (1:2.25-1) unstable; urgency=medium

  * New upstream release. LP: #1451601
  * Drop package libcap2-dbg in favor of automatic dbgsym packages, as per
    https://lists.debian.org/debian-devel/2015/12/msg00262.html.
  * d/control:
    - Bump Standards-Version to 3.9.8 (no changes needed)
    - Increase Priority of libcap2{,-bin} to important. Closes: #815566
    - Drop libattr1-dev from Build-Depends. Upstream no longer uses this
      library and instead uses the kernel API directly
    - Switch Vcs-Browser from gitweb to cgit
    - Switch to secure URIs in Vcs-* fields
  * d/rules:
    - Add hardening=+all to DEB_BUILD_MAINT_OPTIONS
  * d/tests:
    - executables:
      + Fix typos
      + Don't mount over ADTTMP, use a subdir instead. ADTTMP could already be
        a mount point for another filesystem, which could make things slightly
        more confusing
      + Improve output
  * d/copyright:
    - Bump copyright years
  * d/patches (added):
    - Avoid-sys-capability.h-on-build-architecture.patch
      Fixes a FTCBFS on kFreeBSD. Thanks, Helmut Grohne! Closes: #809467
    - Filter-out-PIE-flags-when-building-shared-objects.patch
      Filters out -pie, -fpie, and -fPIE from CFLAGS/LDFLAGS when building the
      shared library and the PAM module
    - Spelling-fixes.patch
  * d/patches (updated):
    - setcap-error-message.patch
    - Update Don-t-hardcode-build-flags.patch
  * d/patches (dropped):
    - Drop include-sys-xattr.patch
      The reason it was initially created for ceased to exist in 2.25
  * libcap2-bin:
    -  lintian override for spelling-error-in-readme-debian (false positive)

 -- Christian Kastner <ckk@debian.org>  Sat, 30 Apr 2016 14:30:26 +0200
