=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,15 @@
 
 # Exports DEB_{BUILD,HOST}_* flags
 include /usr/share/dpkg/architecture.mk
+# Export DEB_VERSION, among other things
+include /usr/share/dpkg/pkg-info.mk
 
 # Support cross-compiling
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CC := $(DEB_HOST_GNU_TYPE)-gcc
 endif
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # One upstream target requires the BUILD compiler instead of HOST
 BUILD_CC ?= cc
@@ -42,20 +46,18 @@
 	cd debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) && \
 		mv    ../../../lib/$(DEB_HOST_MULTIARCH)/*.a . && \
 		ln -s ../../../lib/$(DEB_HOST_MULTIARCH)/libcap.so.*.* libcap.so
+	sed -i -e 's#^libdir=.*#libdir=/usr/lib/$(DEB_HOST_MULTIARCH)#' \
+		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/libcap.pc
 
 	# Remove unwanted/unused files (because of --fail-missing)
 	rm -f debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*.so
 
 
-override_dh_install:
-	dh_install --fail-missing
+override_dh_missing:
+	dh_missing --fail-missing
 
 
 override_dh_makeshlibs:
 	dh_makeshlibs -V'libcap2 (>= $(SHLIBS_MINVER))' -plibcap2 \
 		--add-udeb=libcap2-udeb -- -c4
 	dh_makeshlibs --remaining-packages -- -c4
-
-
-override_dh_strip:
-	dh_strip --dbg-package=libcap2-dbg
