## libcap2 2.27

=== debian/changelog ===
libcap2 (1:2.27-1) unstable; urgency=medium

  * New upstream release. (Closes: #911509)

  [ Kevin Locke ]
  * d/rules: Conditionalize tests on DEB_GAIN_ROOT_COMMAND
    Unfortunately, for the tests, fakeroot does not suffice
  * d/libcap2.symbols: Add new symbols in 2.26
  * d/patches:
    - Add Use-DEB_GAIN_ROOT_CMD-for-make-test.patch
      Use $DEB_GAIN_ROOT_CMD for make test
    - Add Make.Rules-Allow-overriding-DYNAMIC.patch
      Always build using dynamic linking. Upstream builds statically when
      building in a git repo, which conflicts with git-buildpackage.

  [ Christian Kastner ]
  * d/gbp.conf: Move branches to debian/master and upstream/latest (DEP-14)
  * d/control: Bump Standards-Version to 4.4.1.
    No changes were needed from 4.3.0 to 4.4.1, but Kevin Locke noticed that
    previously, in going to 4.3.0, the Root-Requires-Root field had not been
    set
  * Add Build-Depends-Package field to libcap2.symbols
  * Bump shlibs version to 2.26 (new symbols)
  * Add pam_cap-Honor-PAM_REINITIALIZE_CRED.patch.
    Thanks, for the report and analysis, Daniel Gröber! (Closes: #935921)
  * Refresh patches

 -- Christian Kastner <ckk@debian.org>  Mon, 28 Oct 2019 10:39:04 +0100
