=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
     indent,
     libpam0g-dev,
     gperf (>= 3.1),
-Standards-Version: 4.3.0
+Rules-Requires-Root: dpkg/target-subcommand
+Standards-Version: 4.4.1
 Homepage: https://sites.google.com/site/fullycapable/
 Vcs-Git: https://salsa.debian.org/debian/libcap2.git
 Vcs-Browser: https://salsa.debian.org/debian/libcap2
@@ -62,6 +63,7 @@
  This package contains the development files.
 
 Package: libpam-cap
+Section: admin
 Architecture: linux-any
 Multi-Arch: same
 Depends:
